noinst_LTLIBRARIES = libpymobius-disk.la

libpymobius_disk_la_CXXFLAGS = -I$(top_srcdir)/src -I.. -I../api $(PY_CXXFLAGS) -fno-strict-aliasing

libpymobius_disk_la_LDFLAGS = $(PY_LIBS)

libpymobius_disk_la_SOURCES = 				\
	module.h					\
	module.cc					\
	disk.h						\
	disk.cc						\
	disk_imagefile.h				\
	disk_imagefile.cc				\
	disk_reader.h					\
	disk_reader.cc					\
	func_new_disk_from_reader.cc			\
	func_new_disk_from_url.cc

if HAVE_LIBUDEV
libpymobius_disk_la_SOURCES += 				\
	disk_device.h					\
	disk_device.cc					\
	func_new_disk_from_device_uid.cc

endif
